routes/web.php
<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\HomeController;
use App\Http\Controllers\RoleController;
use App\Http\Controllers\UserController;
use App\Http\Controllers\PermissionController;
use App\Http\Controllers\PostController;
use App\Http\Controllers\AdminController;
use App\Http\Controllers\ProvinceController;
use App\Http\Controllers\AreaController;
use App\Http\Controllers\StoreController;
use App\Http\Controllers\TagController;
use App\Http\Controllers\SubtagController;
use App\Http\Controllers\ColorController;
use App\Http\Controllers\sizeController;
use App\Http\Controllers\ProductController;
use App\Http\Controllers\ImageUploadController;
use App\Http\Controllers\frontcontroller;










/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// Route::get('/', [frontcontroller::class, 'index']);


Auth::routes();



Route::get('/home', [HomeController::class, 'index'])->name('home');

//admin route
Route::group(['middleware' => ['auth']], function() {
    Route::resource('users', UserController::class);
    Route::resource('roles', RoleController::class);
    Route::resource('permissions', PermissionController::class);
    Route::resource('posts', PostController::class);
    Route::resource('province', ProvinceController::class) ;
    Route::resource('area', AreaController::class) ;
    Route::resource('store', StoreController::class) ;
    Route::resource('tag', TagController::class) ;
    Route::resource('subtag', SubtagController::class) ;
    Route::resource('color', ColorController::class) ;
    Route::resource('size', sizeController::class) ;
    Route::resource('product', ProductController::class) ;

});

//front route
Route::get('/stores',[frontcontroller::class, 'store'])->name('store');
Route::get('/subtagshow/{id}',[frontcontroller::class, 'subtagshow'])->name('subtag'); // Show All subtags store
Route::get('/products',[frontcontroller::class, 'products'])->name('products');  // Show All Product
Route::get('/product_detail/{id}',[frontcontroller::class, 'product_detail'])->name('product_detail'); // show one product

//cart
Route::get('cart', [ProductController::class, 'cart'])->name('cart');
Route::get('add-to-cart/{id}', [ProductController::class, 'addToCart'])->name('add.to.cart');
Route::patch('update-cart', [ProductController::class, 'updatecart'])->name('update.cart');
Route::delete('remove-from-cart', [ProductController::class, 'removecart'])->name('remove.from.cart');
Route::get('product-checkout', [ProductController::class, 'productcheckout'])->name('product-checkout');


// Route::resource('/{page}', AdminController::class);

Route::get('/', function () {
    $provinces = App\Models\province::all();
    return view('indexss',['provinces' => $provinces]);
});

Route::get('getarea/{id}', function ($id) {
    $area = App\Models\area::where('province_id',$id)->get();
    return response()->json($area);
});

app/Models/area.php
<?php

namespace App\Models;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class area extends Model
{
    use HasFactory;

    protected $fillable =['name','province_id'];

    public function province()
    {
        return $this->belongsTo(province::class);
    }


    public function stores()
    {
        return $this->hasMany(store::class);
    }



}

app/Http/Controllers/AreaController.php
<?php

namespace App\Http\Controllers;

use App\Models\area;
use App\Models\province;
use Illuminate\Http\Request;

class AreaController extends Controller
{


    public function index()
    {

     $areas = area::orderBy('id')->paginate(5);

        return view('area.index', compact('areas'));
    }


    public function create()
    {

        $provinces = province::all();

        if($provinces->count() == 0)
{
return redirect()->route('province.create');
}


        return view('area\create')
        ->with('provinces', $provinces);

    }


    public function store(Request $request)
    {

        $this->validate($request, [
            'name' => 'required|unique:areas',
            'province_id' => 'required'
        ]);

         area::create($request->all());

        return redirect()
        ->route('area.index')
        ->with('success', 'area add successfully');
    }



    public function show($id)
    {
        $area = area::find($id);

        return view('area.show', compact('area'));
    }


    public function edit($id)
    {

        $provinces = province::all();
        $area = area::find($id);
        return view('area.edit')
        ->with('provinces', $provinces) 
        ->with('area', $area);


        }


    public function update(Request $request,$id)
    {
        $area = area::find($id);
        $this->validate($request, [
            'name' => 'required|unique:areas',
            'province_id' => 'required'
        ]);


        $area->update($request->all());


        return redirect()
        ->route('area.index')
        ->with('success', 'area Update successfully');

    }


    public function destroy($id)
    {
        area::find($id)->delete();

        return redirect()->route('area.index')
            ->with('success', 'area deleted successfully');
    }
}

resources/views/area/create.blade.php
@extends('layouts.master')
@section('title')
    Create area
@stop
@section('content')
    <div class="container">
        <div class="justify-content-center">
            @if (count($errors) > 0)
                <div class="alert alert-danger">
                    <strong>Opps!</strong> Something went wrong, please check below errors.<br><br>
                    <ul>
                        @foreach ($errors->all() as $error)
                            <li>{{ $error }}</li>
                        @endforeach
                    </ul>
                </div>
            @endif

                        <!-- head -->
                        <div class="breadcrumb-header justify-content-between">
                            <div class="my-auto">
                                <div class="d-flex">
                                    <h4 class="content-title mb-0 my-auto">Manger area</h4><span class="text-muted mt-1 tx-13 mr-2 mb-0">/
                                        area create</span>
                                </div>
                            </div>
                    
                        </div>
                        <!-- head -->

            <div class="card">
 <div class="card-body">
                <form action="{{ route('area.store') }}" method="POST">
                    @csrf
                    <div class="form-group">

                        <select name="province_id" id="province_id" class="form-control">
                            <option selected hidden="" disabled="" value="default">Select the status</option>
                            @foreach ($provinces as $province)
                                <option value="{{ $province->id }}">{{ $province->name }}</option>
                            @endforeach
                        </select>

                    </div>

                    <div class="form-group">
                        <input type="text" class="form-control" name="name" placeholder="area">
                    </div>


                    <div class="card-header">
                        <button type="submit" class="btn btn-primary">Submit</button>
                        <a class="btn btn-danger" href="{{ route('area.index') }}">Back</a>
                    </div>
                </form>
                {{-- <div class="card-body">
                    {!! Form::open(['route' => 'area.store', 'method' => 'POST']) !!}
                    <div class="form-group">
                        <strong>provinces:</strong>
                        {!! Form::select('provinces[]', $provinces, [], ['name' => 'province_name','class' => 'form-control']) !!}
                    </div>



                    <div class="form-group">
                        <strong>area name:</strong>
                        {!! Form::text('name', null, ['placeholder' => 'Name', 'class' => 'form-control']) !!}
                    </div>



                    <div class="card-header">
                        <button type="submit" class="btn btn-primary">Submit</button>
                        <a class="btn btn-danger" href="{{ route('area.index') }}">Back</a>





                    </div> <!-- row -->

                </div> --}}
            </div>

            {{-- {!! Form::close() !!} --}}

        </div>
    </div>
    </div>
    </div>
    <br><br><br><br><br><br><br><br><br><br><br><br><br><br><br>
@endsection

resources/views/area/edit.blade.php
@extends('layouts.master')
@section('title')
    Edit area
@stop
@section('content')
    <div class="container">
        <div class="justify-content-center">
            @if (count($errors) > 0)
                <div class="alert alert-danger">
                    <strong>Opps!</strong> Something went wrong, please check below errors.<br><br>
                    <ul>
                        @foreach ($errors->all() as $error)
                            <li>{{ $error }}</li>
                        @endforeach
                    </ul>
                </div>
            @endif

            <div style="margin-bottom: 50px;margin-top: 50px">
                <div class="d-flex">
                    <h4 class="content-title mb-0 my-auto">Manger area</h4><span class="text-muted mt-1 tx-13 mr-2 mb-0">/
                        area Edit</span>
                </div>
            </div>

            <div class="card">
                <div class="card-body">
                    <form action="{{ route('area.update', $area->id) }}" method="POST">
                        @csrf
                        @method('PUT')

                        <div class="form-group">

                            <select name="province_id" id="province_id" class="form-control">
                                <option selected hidden="" disabled="" value="default">Select the status</option>
                                @foreach ($provinces as $province)
                                    <option value="{{ $province->id }}"
                                        {{ $province->id == $area->province_id ? 'selected' : '' }}>
                                        {{ $province->name }}</option>
                                @endforeach

                            </select>

                        </div>

                        <div class="form-group">
                            <input type="text" class="form-control" name="name" placeholder="area"
                                value="{{ old('name', $area->name) }}">
                        </div>


                        <div class="card-header">
                            <button type="submit" class="btn btn-primary">Submit</button>
                            <a class="btn btn-danger" href="{{ route('area.index') }}">Back</a>
                        </div>
                    </form>


                </div>
            </div>
        </div>
    </div>
    <br><b><br><br><br><br><br><br>
@endsection

resources/views/area/index.blade.php
@extends('layouts.master')
@section('title')
area
@stop
@section('css')
    <!-- Internal Data table css -->
    <link href="{{ URL::asset('assets/plugins/datatable/css/dataTables.bootstrap4.min.css') }}" rel="stylesheet" />
    <link href="{{ URL::asset('assets/plugins/datatable/css/buttons.bootstrap4.min.css') }}" rel="stylesheet">
    <link href="{{ URL::asset('assets/plugins/datatable/css/responsive.bootstrap4.min.css') }}" rel="stylesheet" />
    <link href="{{ URL::asset('assets/plugins/datatable/css/jquery.dataTables.min.css') }}" rel="stylesheet">
    <link href="{{ URL::asset('assets/plugins/datatable/css/responsive.dataTables.min.css') }}" rel="stylesheet">
    <link href="{{ URL::asset('assets/plugins/select2/css/select2.min.css') }}" rel="stylesheet">
@endsection

@section('content')
    <div class="container">
        <div class="justify-content-center">
            @if (\Session::has('success'))
                <div class="alert alert-success">
                    <p>{{ \Session::get('success') }}</p>
                </div>
            @endif

            <!-- head -->
            <div class="breadcrumb-header justify-content-between">
                <div class="my-auto">
                    <div class="d-flex">
                        <h4 class="content-title mb-0 my-auto">Manger area</h4><span class="text-muted mt-1 tx-13 mr-2 mb-0">/
                            area list</span>
                    </div>
                </div>
                {{-- <div class="d-flex my-xl-auto right-content">
                    <div class="pr-1 mb-3 mb-xl-0">
                        <button type="button" class="btn btn-info btn-icon ml-2"><i
                                class="mdi mdi-filter-variant"></i></button>
                    </div>
                    <div class="pr-1 mb-3 mb-xl-0">
                        <button type="button" class="btn btn-danger btn-icon ml-2"><i class="mdi mdi-star"></i></button>
                    </div>
                    <div class="pr-1 mb-3 mb-xl-0">
                        <button type="button" class="btn btn-warning  btn-icon ml-2"><i
                                class="mdi mdi-refresh"></i></button>
                    </div>
                    <div class="mb-3 mb-xl-0">
                        <div class="btn-group dropdown">
                            <button type="button" class="btn btn-primary">14 Aug 2019</button>
                            <button type="button" class="btn btn-primary dropdown-toggle dropdown-toggle-split"
                                id="dropdownMenuDate" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                <span class="sr-only">Toggle Dropdown</span>
                            </button>
                            <div class="dropdown-menu dropdown-menu-left" aria-labelledby="dropdownMenuDate"
                                data-x-placement="bottom-end">
                                <a class="dropdown-item" href="#">2015</a>
                                <a class="dropdown-item" href="#">2016</a>
                                <a class="dropdown-item" href="#">2017</a>
                                <a class="dropdown-item" href="#">2018</a>
                            </div>
                        </div>
                    </div>
                </div> --}}
            </div>
            <!-- head -->



            <div class="card">
                <div class="card-body">
                    <!-- row opened -->
                    <div class="row row-sm">
                        <!--div-->
                        <div class="col-xl-12">
                            <div class="card mg-b-20">

                                <div class="card-body">
                                    <div class="table-responsive">
                                        <table id="example" class="table key-buttons text-md-nowrap">
                                            <thead>
                                                <tr>
                                                    <th class="border-bottom-0">#</th>
                                                    <th class="border-bottom-0"> province</th>
                                                    <th class="border-bottom-0">area</th>

                                                    <th class="border-bottom-0">Action</th>

                                                </tr>
                                            </thead>
                                            <tbody>
                                                @foreach ($areas as $key => $area)
                                                    <tr>
                                                        <td>{{ $area->id }}</td>
                                                        <td>{{ $area->province->name}}</td>
                                                        <td> {{ $area->name }}</td>


                                                        <td>
                                                            <a class="btn btn-success" href="{{ route('area.show', $area->id) }}">Show</a>
                                                            @can('user-edit')
                                                                <a class="btn btn-primary" href="{{ route('area.edit', $area->id) }}">Edit</a>
                                                            @endcan
                                                            @can('user-delete')
                                                            {!! Form::open(['method' => 'DELETE', 'route' => ['area.destroy', $area->id], 'style' => 'display:inline']) !!}
                                                            {!! Form::submit('Delete', ['class' => 'btn btn-danger']) !!}
                                                            {!! Form::close() !!}
                                                            @endcan
                                                        </td>
                                                    </tr>
                                                @endforeach
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!--/div-->
                    </div>
                    <!-- /row -->





                </div>
                <div class="card-header">
                    @can('user-create')
                        <span class="float-right">
                            <a class="btn btn-primary" href="{{ route('area.create') }}">Create area</a>
                        </span>
                    @endcan

                </div>
                {{-- {!! $areas->links() !!} --}}

            </div>


        </div>
    </div>
@endsection

@section('js')
    <!-- Internal Data tables -->
    <script src="{{ URL::asset('assets/plugins/datatable/js/jquery.dataTables.min.js') }}"></script>
    <script src="{{ URL::asset('assets/plugins/datatable/js/dataTables.dataTables.min.js') }}"></script>
    <script src="{{ URL::asset('assets/plugins/datatable/js/dataTables.responsive.min.js') }}"></script>
    <script src="{{ URL::asset('assets/plugins/datatable/js/responsive.dataTables.min.js') }}"></script>
    <script src="{{ URL::asset('assets/plugins/datatable/js/jquery.dataTables.js') }}"></script>
    <script src="{{ URL::asset('assets/plugins/datatable/js/dataTables.bootstrap4.js') }}"></script>
    <script src="{{ URL::asset('assets/plugins/datatable/js/dataTables.buttons.min.js') }}"></script>
    <script src="{{ URL::asset('assets/plugins/datatable/js/buttons.bootstrap4.min.js') }}"></script>
    <script src="{{ URL::asset('assets/plugins/datatable/js/jszip.min.js') }}"></script>
    <script src="{{ URL::asset('assets/plugins/datatable/js/pdfmake.min.js') }}"></script>
    <script src="{{ URL::asset('assets/plugins/datatable/js/vfs_fonts.js') }}"></script>
    <script src="{{ URL::asset('assets/plugins/datatable/js/buttons.html5.min.js') }}"></script>
    <script src="{{ URL::asset('assets/plugins/datatable/js/buttons.print.min.js') }}"></script>
    <script src="{{ URL::asset('assets/plugins/datatable/js/buttons.colVis.min.js') }}"></script>
    <script src="{{ URL::asset('assets/plugins/datatable/js/dataTables.responsive.min.js') }}"></script>
    <script src="{{ URL::asset('assets/plugins/datatable/js/responsive.bootstrap4.min.js') }}"></script>
    <!--Internal  Datatable js -->
    <script src="{{ URL::asset('assets/js/table-data.js') }}"></script>
@endsection

resources/views/area/show.blade.php
@extends('layouts.master')
@section('title')
Show area
@stop
@section('content')
    <div class="container">
        <div class="justify-content-center">
            @if (\Session::has('success'))
                <div class="alert alert-success">
                    <p>{{ \Session::get('success') }}</p>
                </div>
            @endif


            <!-- breadcrumb -->
            <div class="breadcrumb-header justify-content-between">
                <div class="my-auto">
                    <div class="d-flex">
                        <h4 class="content-title mb-0 my-auto"> Manger area</h4><span
                            class="text-muted mt-1 tx-13 mr-2 mb-0">/ Show area</span>
                    </div>
                </div>
                <div class="d-flex my-xl-auto right-content">
                    <div class="pr-1 mb-3 mb-xl-0">
                        <button type="button" class="btn btn-info btn-icon ml-2"><i
                                class="mdi mdi-filter-variant"></i></button>
                    </div>
                    <div class="pr-1 mb-3 mb-xl-0">
                        <button type="button" class="btn btn-danger btn-icon ml-2"><i class="mdi mdi-star"></i></button>
                    </div>
                    <div class="pr-1 mb-3 mb-xl-0">
                        <button type="button" class="btn btn-warning  btn-icon ml-2"><i
                                class="mdi mdi-refresh"></i></button>
                    </div>
                    <div class="mb-3 mb-xl-0">
                        <div class="btn-group dropdown">
                            <button type="button" class="btn btn-primary">14 Aug 2019</button>
                            <button type="button" class="btn btn-primary dropdown-toggle dropdown-toggle-split"
                                id="dropdownMenuDate" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                <span class="sr-only">Toggle Dropdown</span>
                            </button>
                            <div class="dropdown-menu dropdown-menu-left" aria-labelledby="dropdownMenuDate"
                                data-x-placement="bottom-end">
                                <a class="dropdown-item" href="#">2015</a>
                                <a class="dropdown-item" href="#">2016</a>
                                <a class="dropdown-item" href="#">2017</a>
                                <a class="dropdown-item" href="#">2018</a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- breadcrumb -->

            <div class="card">

                <div class="card-body">
                    <div class="lead">
                        <strong>Name:</strong>
                        {{ $area->name }}
                    </div>


                    <div class="card-header">
                        <span class="float-right">
                            <a class="btn btn-danger" href="{{ route('area.index') }}">Back</a>
                        </span>
                    </div>

                </div>
            </div>
        </div>
    </div>
@endsection